> For the complete documentation index, see [llms.txt](https://docs.arkelectron.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.arkelectron.com/products/embedded-computers/ark-just-a-pi/flashing-guide/wi-fi-setup.md).

# Wi-Fi Setup

If WiFi was not setup via the OS Customization options in the Pi Imager UI you can follow these steps to setup your network.

Mount the SD card or EMMC on your computer and open the root filesystem directory.

## Bookworm

Create a new NeworkManager connection profile in **/etc/NetworkManager/system-connections/**

Name the file **YourNetworkSSID**.nmconnection and make sure to replace **YourNetworkSSID** and **YourNetworkPassword**.

```
[connection]
id=YourNetworkSSID
uuid=0e214bd8-4501-4394-9a46-123badc0ffee
type=wifi

[wifi]
mode=infrastructure
ssid=YourNetworkSSID

[wifi-security]
key-mgmt=wpa-psk
psk=YourNetworkPassword

[ipv4]
method=auto

[ipv6]
addr-gen-mode=default
method=auto

[proxy]
```

## Prior to Bookworm

Create a file called **wpa\_supplicant.conf**

Edit the file in a text editor.

Replace `<YOUR TWO LETTER COUNTRY CODE>` with your country code, ie `US`.

Replace `<YOUR NETWORK NAME>` and `<YOUR NETWORK PASSWORD>` with your network info.

```
ctrl_interface=DIR=/var/run/wpa_supplicant GROUP=netdev
update_config=1
country=<YOUR TWO LETTER COUNTRY CODE>

network={
    ssid="<YOUR NETWORK NAME>"
    psk="<YOUR NETWORK PASSWORD>"
    key_mgmt=WPA-PSK
}

```

Save the file. On the next boot of the Pi, it will move the file to **/etc/wpa\_supplicant/**


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.arkelectron.com/products/embedded-computers/ark-just-a-pi/flashing-guide/wi-fi-setup.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
